org.wildfly.swarm.config.undertow.server.host

## Class HTTPInvokerSetting<T extends HTTPInvokerSetting<T>>

- java.lang.Object
- - org.wildfly.swarm.config.undertow.server.host.HTTPInvokerSetting<T>

-     public class HTTPInvokerSetting<T extends HTTPInvokerSetting<T>>
      extends Object

  The HTTP invoker services that allows remote HTTP based invocation of services such as EJB and naming

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTTPInvokerSetting()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `httpAuthenticationFactory()` The HTTP authentication factory to use for authentication
    `T` | `httpAuthenticationFactory(String value)` The HTTP authentication factory to use for authentication
    `String` | `path()` The path that the services are installed under
    `T` | `path(String value)` The path that the services are installed under
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `securityRealm()` The legacy security realm to use for authentication
    `T` | `securityRealm(String value)` The legacy security realm to use for authentication

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HTTPInvokerSetting

          public HTTPInvokerSetting()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### httpAuthenticationFactory

          public String httpAuthenticationFactory()

      The HTTP authentication factory to use for authentication

    - #### httpAuthenticationFactory

          public T httpAuthenticationFactory(String value)

      The HTTP authentication factory to use for authentication

    - #### path

          public String path()

      The path that the services are installed under

    - #### path

          public T path(String value)

      The path that the services are installed under

    - #### securityRealm

          public String securityRealm()

      The legacy security realm to use for authentication

    - #### securityRealm

          public T securityRealm(String value)

      The legacy security realm to use for authentication

Copyright © 2018 JBoss by Red Hat. All rights reserved.